org.apache.flume.source.kafka

## Class KafkaSourceConstants

- java.lang.Object
- - org.apache.flume.source.kafka.KafkaSourceConstants

-     public class KafkaSourceConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AVRO_EVENT`
    `static String` | `BATCH_DURATION_MS`
    `static String` | `BATCH_SIZE`
    `static String` | `BOOTSTRAP_SERVERS`
    `static String` | `DEFAULT_AUTO_COMMIT`
    `static boolean` | `DEFAULT_AVRO_EVENT`
    `static int` | `DEFAULT_BATCH_DURATION`
    `static int` | `DEFAULT_BATCH_SIZE`
    `static String` | `DEFAULT_GROUP_ID`
    `static String` | `DEFAULT_KEY_DESERIALIZER`
    `static boolean` | `DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS`
    `static String` | `DEFAULT_VALUE_DESERIALIZER`
    `static String` | `KAFKA_CONSUMER_PREFIX`
    `static String` | `KAFKA_PREFIX`
    `static String` | `KEY_HEADER`
    `static String` | `MIGRATE_ZOOKEEPER_OFFSETS`
    `static String` | `OLD_GROUP_ID`
    `static String` | `PARTITION_HEADER`
    `static String` | `TIMESTAMP_HEADER`
    `static String` | `TOPIC`
    `static String` | `TOPIC_HEADER`
    `static String` | `TOPICS`
    `static String` | `TOPICS_REGEX`
    `static String` | `ZOOKEEPER_CONNECT_FLUME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KafkaSourceConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KAFKA_PREFIX

          public static final String KAFKA_PREFIX

      See Also:
        Constant Field Values

    - #### KAFKA_CONSUMER_PREFIX

          public static final String KAFKA_CONSUMER_PREFIX

      See Also:
        Constant Field Values

    - #### DEFAULT_KEY_DESERIALIZER

          public static final String DEFAULT_KEY_DESERIALIZER

      See Also:
        Constant Field Values

    - #### DEFAULT_VALUE_DESERIALIZER

          public static final String DEFAULT_VALUE_DESERIALIZER

      See Also:
        Constant Field Values

    - #### BOOTSTRAP_SERVERS

          public static final String BOOTSTRAP_SERVERS

      See Also:
        Constant Field Values

    - #### TOPICS

          public static final String TOPICS

      See Also:
        Constant Field Values

    - #### TOPICS_REGEX

          public static final String TOPICS_REGEX

      See Also:
        Constant Field Values

    - #### DEFAULT_AUTO_COMMIT

          public static final String DEFAULT_AUTO_COMMIT

      See Also:
        Constant Field Values

    - #### BATCH_SIZE

          public static final String BATCH_SIZE

      See Also:
        Constant Field Values

    - #### BATCH_DURATION_MS

          public static final String BATCH_DURATION_MS

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE

          public static final int DEFAULT_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_DURATION

          public static final int DEFAULT_BATCH_DURATION

      See Also:
        Constant Field Values

    - #### DEFAULT_GROUP_ID

          public static final String DEFAULT_GROUP_ID

      See Also:
        Constant Field Values

    - #### MIGRATE_ZOOKEEPER_OFFSETS

          public static final String MIGRATE_ZOOKEEPER_OFFSETS

      See Also:
        Constant Field Values

    - #### DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS

          public static final boolean DEFAULT_MIGRATE_ZOOKEEPER_OFFSETS

      See Also:
        Constant Field Values

    - #### AVRO_EVENT

          public static final String AVRO_EVENT

      See Also:
        Constant Field Values

    - #### DEFAULT_AVRO_EVENT

          public static final boolean DEFAULT_AVRO_EVENT

      See Also:
        Constant Field Values

    - #### ZOOKEEPER_CONNECT_FLUME_KEY

          public static final String ZOOKEEPER_CONNECT_FLUME_KEY

      See Also:
        Constant Field Values

    - #### TOPIC

          public static final String TOPIC

      See Also:
        Constant Field Values

    - #### OLD_GROUP_ID

          public static final String OLD_GROUP_ID

      See Also:
        Constant Field Values

    - #### TOPIC_HEADER

          public static final String TOPIC_HEADER

      See Also:
        Constant Field Values

    - #### KEY_HEADER

          public static final String KEY_HEADER

      See Also:
        Constant Field Values

    - #### TIMESTAMP_HEADER

          public static final String TIMESTAMP_HEADER

      See Also:
        Constant Field Values

    - #### PARTITION_HEADER

          public static final String PARTITION_HEADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KafkaSourceConstants

          public KafkaSourceConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.